> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Status

> **Required plan:** Professional or Enterprise.

Get the status of tasks based on task IDs. Request frequency: 1 request / 5 seconds.



## OpenAPI

````yaml /en/api/openapi.json post /cloudextraction/statuses
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /cloudextraction/statuses:
    post:
      tags:
        - Cloud Extraction
      summary: Get Task Status
      description: >-
        **Required plan:** Professional or Enterprise.


        Get the status of tasks based on task IDs. Request frequency: 1 request
        / 5 seconds.
      operationId: getTaskStatus
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskIds
              properties:
                taskIds:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Task statuses retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        taskId:
                          type: string
                        taskName:
                          type: string
                        status:
                          type: string
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````